﻿namespace TestProject
{
    /// <summary>
    /// WAVE RIFF
    /// </summary>
    public class WAVERIFF
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 청크 ID
        /// </summary>
        /// 4바이트 : 빅 엔디안
        /// 'RIFF' 문자를 저장한다.
        /// <remarks>
        /// </remarks>
        public string ChunkID;

        /// <summary>
        /// 청크 크기
        /// </summary>
        /// <remarks>
        /// 4바이트 : 리틀 엔디안
        /// 전체 파일 크기 - 8
        /// </remarks>
        public uint ChunkSize;

        /// <summary>
        /// 포맷
        /// </summary>
        /// <remarks>
        /// 4바이트 : 빅 엔디안
        /// 파일 형식을 나타낸다.
        /// WAVE 파일의 경우 'WAVE' 문자를 저장한다.
        /// </remarks>
        public string Format;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - WAVERIFF()

        /// <summary>
        /// 생성자
        /// </summary>
        public WAVERIFF()
        {
            ChunkID   = "RIFF";
            ChunkSize = 0;
            Format    = "WAVE";
        }

        #endregion
    }
}